﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GIT
{
    public partial class FrmAddpersonel : Form
    {
        int list_index;
        public FrmAddpersonel()
        {
            InitializeComponent();
        }

        private void fill_data()
        {
            listview_personel.Items.Clear();
            foreach (Personnel personel in myData.personnels )
            {
                ListViewItem item = new ListViewItem();
                item.Tag = personel ;
                item.Text = personel.id;
                item.SubItems.Add(personel.Name );
             
                item.SubItems.Add(personel.Family);
                
                item.SubItems.Add(personel.address );

                listview_personel.Items.Add(item);
            }

        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }
        public void check_radiobutton()
        {
            //if (rd_ruzmozd.Checked == true)
            //{
            //    groupBox4.Enabled = false;
            //}
            //else
            //{
            //    groupBox4.Enabled = true;
            //}
            
        }
        private void FrmAddpersonel_Load(object sender, EventArgs e)
        {
            list_index = -1;

           
            fill_data();
            check_radiobutton();
        }

        private void btn_add_Click(object sender, EventArgs e)
        {
            if (txt_personel.Text.Trim() == "")
            {

                erp1.SetError(txt_personel, "لطفا شماره پرسنل را  وارد نمایید !");

                txt_personel.Focus();
                return;

            }
            else if (txt_personelName .Text.Trim() == "")
            {
                erp1.SetError(txt_personelName, "لطفا نام پرسنل را  وارد نمایید !");
                txt_personelName.Focus();
                return;
            }
            else if (txt_personelFamily .Text.Trim() == "")
            {
                erp1.SetError(txt_personelFamily, "لطفا نام خانوادگی پرسنل را  وارد نمایید !");
                txt_personelFamily.Focus();
                return;

            }
       
            else if (txt_address.Text.Trim() == "")
            {
                erp1.SetError(txt_address, "لطفا آدرس پرسنل را  وارد نمایید !");
                txt_address.Focus();
                return;

            }
    
            

            if (check_Id(txt_personel .Text) == true)
            {
                erp1.Clear();
                erp1.SetError(txt_personel, "شماره پرسنل تکراری می باشد");

                txt_personel.Focus();
                return;

            }


            Personnel p = new Personnel(txt_personel.Text, txt_personelName.Text, txt_personelFamily.Text, txt_tel.Text, txt_address.Text);
            myData.personnels.Add(p);
           
            ////Updating the Department List to listView_Departments
            ListViewItem item = new ListViewItem(p.id);
            item.SubItems.Add(p.Name);
            item.SubItems.Add(p.Family );
         
            item.SubItems.Add(p.address);
            listview_personel.Items.Add(item);


            clear_form();
        }
        public bool check_Id(string id)
        {

            for (int i = 0; i < listview_personel.Items.Count; i++)
            {
                if (listview_personel.Items[i].SubItems[0].Text == id)
                {
                    return true;
                }
            }
            return false;
        }

        private void listview_personel_SelectedIndexChanged(object sender, EventArgs e)
        {
            ListView.SelectedIndexCollection indexes = listview_personel.SelectedIndices;
            foreach (int index1 in indexes)
            {
                list_index = index1;
            }
        }

        private void listview_personel_Click(object sender, EventArgs e)
        {
            //txt_personel.Text = myData.personnels[list_index].Id;
            //txt_personelName.Text = myData.personnels[list_index].Name;
            //txt_maxtimeInmonth.Text = myData.personnels[list_index].MaxDateWorkInMonth.ToString();
            //txt_personelFamily.Text  = myData.personnels[list_index].Family;
            //txt_address.Text = myData.personnels[list_index].Adres;
        }

        private void btn_delete_Click(object sender, EventArgs e)
        {
            if (listview_personel.Items.Count == 0)
            {
                MessageBox.Show("هیچ رکوردی برای حذف کردن وجود ندارد");
                return;
            }
            if (list_index != -1)
            {
                myData.personnels.RemoveAt(list_index );
                fill_data();
                clear_form();
                list_index = -1;
            }
            else
            {
                MessageBox.Show("هیچ رکوردی برای حذف انتخاب نشده است!", "اخطار");
                list_index = -1;
            }
        }
        private void clear_form()
        {
            txt_personel.Text = "";
            txt_personelName.Text = "";
            txt_personelFamily.Text = "";
        
            txt_address.Text = "";

        }



        private void txt_personel_TextChanged(object sender, EventArgs e)
        {
            erp1.Clear();
        }

        private void txt_personelName_TextChanged(object sender, EventArgs e)
        {
            erp1.Clear();
        }

        private void txt_personelFamily_TextChanged(object sender, EventArgs e)
        {
            erp1.Clear();
        }

        private void txt_maxtimeInmonth_TextChanged(object sender, EventArgs e)
        {
            erp1.Clear();
        }

        private void txt_address_TextChanged(object sender, EventArgs e)
        {
            erp1.Clear();
        }

        private void txt_maxtimeInmonth_KeyPress(object sender, KeyPressEventArgs e)
        {
            int isNumber = 0;
            e.Handled = !int.TryParse(e.KeyChar.ToString(), out isNumber);

        }

        private void groupBox3_Enter(object sender, EventArgs e)
        {

        }

        private void rd_ruzmozd_CheckedChanged(object sender, EventArgs e)
        {
            check_radiobutton();
        }

        private void rd_Saati_CheckedChanged(object sender, EventArgs e)
        {
            check_radiobutton();
        }

      
    }
}
