﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Globalization;

namespace GIT
{
    public partial class FrmAddpersonelwork : Form
    {
        public Personnel selectpersonel;
        public Department selectdepartment;
        public PersonellWork personwork;
        public int list_index;

        public FrmAddpersonelwork()
        {
            InitializeComponent();
        }

        public void send(Personnel p, Department d)
        {

            selectpersonel = p;
            selectdepartment = d;
        }
        private void FrmAddpersonelwork_Load(object sender, EventArgs e)
        {
            list_index = -1;
            fill_data();
        }


        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }
        public void fill_data()
        {
            listView_DepartmentProjects.Items.Clear();
            txt_personelId.Text = selectpersonel.Id.ToString();
            for (int i = 0; i < selectpersonel.NumberOfWork; i++)
            {
                ListViewItem item = new ListViewItem();
                item.Tag = selectpersonel;
                item.Text = selectpersonel.Id;
                item.SubItems.Add(selectpersonel.PersonelWorks[i].Datefaaliat);
                item.SubItems.Add(selectpersonel.PersonelWorks[i].get_time_s ());
                item.SubItems.Add(selectpersonel.PersonelWorks[i].get_time_e ());
                item.SubItems.Add(selectpersonel.PersonelWorks[i].Sharhefaaliat);
                item.SubItems.Add(selectpersonel.PersonelWorks[i].WorkktoNow.ToString ());
                
                listView_DepartmentProjects.Items.Add(item);
            }
            
        }

     


        public void clear_errorprovider()
        {
            erp1.Clear();
        }
        public double convert_time_double(string a, string b, string c, string d)
        {
            double time1;
            double time2;
            double result;
            string start = a + "." + b;
            string ends = c + "." + d;
            time1 = double.Parse(start);
            time2 = double.Parse(ends);
            result = time2 -time1 ;
            return result;
        }

        private void btn_inserWork_Click(object sender, EventArgs e)
        {
            
            if (check_form(txt_date.Text,txt_hs .Text ,txt_ms .Text,txt_he .Text,txt_me .Text ,txt_workdescription .Text ) == false)
            {
                double work = convert_time_double(txt_hs.Text, txt_ms.Text , txt_he.Text, txt_me.Text);
                selectpersonel.work_now(work);
                if (selectpersonel.WorkFinish  > selectpersonel.MaxDateWorkInMonth)
                {
                    MessageBox.Show("میزان کار انجام شده بیشتر از میزان ساعات تعیین شده است");
                    selectpersonel.dec_work(work);

                }
                    else
                    {

                    personwork = new PersonellWork(txt_date.Text, txt_hs.Text, txt_ms.Text, txt_he.Text, txt_me.Text, txt_workdescription.Text, work);
                    selectpersonel.Sabt_Faaliat(personwork);
                    fill_data();
                    clear_form();
                    }
                
               
           
            }
            if (btn_DeleteWork.Enabled == false)
            {
                btn_DeleteWork.Enabled = true;
            }
            
        }

        public void clear_form()
        {
            txt_date.Text = string.Empty;
            txt_hs.Text  = "";
            txt_ms .Text = "";
            txt_he.Text = "";
            txt_me.Text = "";
            txt_workdescription.Text  = string.Empty;
        }


        public bool check_form(string txtd, string txths,string txtms,string he,string me, string txtsh)
        {
            int a, b, c, d;

            if (txtd.Length < 10)
            {
                erp1.SetError(txt_date, "لطفا تاریخ را وارد نمایید");
                txt_date.Focus();
                return true;
            }
            else if (txths == "" )
            {
               erp1.SetError (txt_ms ,"لطفا زمان شروع را به درستی وارد تمایید");
                txt_hs.Focus();
                return true;
            }
            else if (txtms == "")
            {
               erp1 .SetError(txt_ms ,"لطفا زمان شروع را به درستی وارد تمایید");
                txt_ms.Focus();
                return true;
            }
            else if (me == "")
            {
                erp1.SetError (txt_me ,"لطفا زمان پایان را به درستی وارد نمایید");

                txt_me.Focus();
                return true;
            }
            else if (he == "")
            {

                erp1 .SetError (txt_me ,"لطفا زمان  پایان را به درستی وارد نمایید");
                txt_me.Focus();
                return true;
            }
                else 
            {

             a = int.Parse(txths);
            b = int.Parse(txtms);
            c = int.Parse(he);
            d = int.Parse(me);
            }
            if (a < 0 || b > 59)
            {
               erp1 .SetError (txt_ms ,"لطفا زمان را به صورت صحیح وارد نمایید ");
                return true;
            }
            else if (c < 0 || d > 59)
            {
                erp1.SetError (txt_me ,"لطفا زمان پایان را به صورت صحیح وارد کنید");
                return true;
            }
            else if ( c > a ==false  )
            {
                erp1.SetError(txt_me, "زمان پابان کمتر از زمان شروع است");
                txt_me.Focus();
                return true;

            }

            else if (txtsh == "")
            {
                erp1.SetError(txt_workdescription, "لطفا شرح فعالیت را وارد نمایید");
                txt_workdescription.Focus();
                return true;
            }
            else
            {
                return false;
            }

        }


        private void txt_date_TextChanged(object sender, EventArgs e)
        {
            clear_errorprovider();
        }

        private void txt_starttime_TextChanged(object sender, EventArgs e)
        {
            clear_errorprovider();

        }

        private void txt_endtime_TextChanged(object sender, EventArgs e)
        {
            clear_errorprovider();
        }

        private void txt_workdescription_TextChanged(object sender, EventArgs e)
        {
            clear_errorprovider();
        }

        private void listView_DepartmentProjects_SelectedIndexChanged(object sender, EventArgs e)
        {
            ListView.SelectedIndexCollection indexes = listView_DepartmentProjects .SelectedIndices;
            foreach (int index1 in indexes)
            {
                list_index = index1;
            }
        }

        private void btn_DeleteWork_Click(object sender, EventArgs e)
        {

            if (list_index == -1)
            {
                MessageBox.Show("هیچ رکوردی برای حذف انتخاب نشده است", "اخطار", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            else
            {

                selectpersonel.hazfe_faaliat(selectpersonel, list_index);
                fill_data();
                list_index = -1;
                clear_form();
            }
            if (listView_DepartmentProjects.Items.Count == 0)
            {
                btn_DeleteWork.Enabled = false;
                return;
            }

        }

        private void listView_DepartmentProjects_Click(object sender, EventArgs e)
        {
            txt_date.Text = selectpersonel.PersonelWorks[list_index].Datefaaliat;
            txt_hs.Text = selectpersonel.PersonelWorks[list_index].Hs;
            txt_ms.Text = selectpersonel.PersonelWorks[list_index].Ms;
            txt_he.Text = selectpersonel.PersonelWorks[list_index].He;
            txt_me.Text = selectpersonel.PersonelWorks[list_index].Me;
            txt_workdescription.Text = selectpersonel.PersonelWorks[list_index].Sharhefaaliat;
        }

        private void btn_change_Click(object sender, EventArgs e)
        {
            if (list_index == -1)
            {

                btn_change.Enabled = false;
            }
            else
            {
                btn_change.Enabled = true;
            }

           if (check_form(txt_date.Text,txt_hs .Text ,txt_ms .Text,txt_he .Text,txt_me .Text ,txt_workdescription .Text ) == false)
            {

                selectpersonel.PersonelWorks[list_index].Datefaaliat = txt_date.Text;
                selectpersonel.PersonelWorks[list_index].Hs = txt_hs.Text;
                selectpersonel.PersonelWorks[list_index].Ms = txt_ms.Text;
                selectpersonel.PersonelWorks[list_index].He = txt_he.Text;
                selectpersonel.PersonelWorks[list_index].Me = txt_me.Text;
                selectpersonel.PersonelWorks[list_index].Sharhefaaliat = txt_workdescription.Text;
                fill_data();
                clear_form();
                list_index = -1;
            }
        }

        private void txt_ms_TextChanged(object sender, EventArgs e)
        {
            clear_errorprovider();
        }

        private void txt_hs_TextChanged(object sender, EventArgs e)
        {
            clear_errorprovider();
        }

        private void txt_me_TextChanged(object sender, EventArgs e)
        {
            clear_errorprovider();

        }

        private void txt_he_TextChanged(object sender, EventArgs e)
        {
            clear_errorprovider();
        }

        private void txt_ms_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!System.Text.RegularExpressions.Regex.IsMatch(e.KeyChar.ToString(), "\\d+"))
                e.Handled = true;
        }

        private void txt_hs_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!System.Text.RegularExpressions.Regex.IsMatch(e.KeyChar.ToString(), "\\d+"))
                e.Handled = true;
        }

        private void txt_me_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!System.Text.RegularExpressions.Regex.IsMatch(e.KeyChar.ToString(), "\\d+"))
                e.Handled = true;
        }

        private void txt_he_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!System.Text.RegularExpressions.Regex.IsMatch(e.KeyChar.ToString(), "\\d+"))
                e.Handled = true;
        }


    }
}
